Recent Posts

Pages: [1] 2 3 ... 10
1
General discussion about BabaCAD / Re: Lisp for Area and Perimeter
« Last post by calubax on November 30, 2017, 12:11:44 pm »
Thats maybe why they are hardly found
2
General discussion about BabaCAD / Re: Lisp for Area and Perimeter
« Last post by calubax on November 30, 2017, 12:08:16 pm »
Hello Babadmin,
this LTplus is very cheap about 290, it is okay but in a way in my opinion to restricted... - no open Forum to discuss things they dont want the users talk about any thing, at the end your left alone. Very sad!!!!
They have a pure Version and addons for progecad and autocad LT.
3
General discussion about BabaCAD / Re: Lisp for Area and Perimeter
« Last post by babadmin on November 30, 2017, 10:34:53 am »
I hardly found that CAD software, LTplus, and it looks good, but not quite cheap (1780 Euro). I will add _AREA and _PERIMETER commands and that lisp will work. There are no Area and Perimeter commands right now, but area and perimeter can be found at BabaCAD Properties window (length value is actually perimeter).
4
General discussion about BabaCAD / Lisp for Area and Perimeter
« Last post by calubax on November 30, 2017, 10:15:15 am »
Hello Babacad Team,
here another Lisp program for area and circumference (perimeter). It works on another DXF Program (LTplus).
It would be much better if for example the room name could stand at the to of the calculations. Maybe for your next Program update.
Best greetings
calubax
5
Thanks Babadmin,
works perfekt - a very useful tool. On your solution I hope that I can to improve my lisp knowledge and will keep on to find more Lisp programs that could work on babacad.
Best greetings
calubax
6
This is solution:

(Defun HALF (/ a b c d)
(SETQ A (GETPOINT "\nFirst Point ")
B (GETPOINT A "\nOther Point "))
(POLAR A (ANGLE A B)(/ (DISTANCE A B) 2)))
(defun c:m2p (/)
(setq c (half))
(setq d (getpoint "Line second point: "))
(command "line" c d ""))
7
Yes,  (command "line" point1 point2 "") would be the right way for this lisp. The result of the half lisp for the start point of the line, and then a free chosen point for the second point and then the "" to end the lisp.
I unfortunatly dont know how to fix it. Not realy much that I know about lisp programming.
8
I don't understand you quite well. You get (0,0) point cause it's second point parameter. If you want some other point, just change that. For example: (command "line" point1 point2 ""). point1 and point2 are variables or fix values as list '(x y).

You have to look at a command and how it's working in the command line. In same way you provide parameters for (command "commandName" param1 param2 ....). So, line has minimum two points as parameters. You can provide more points to generate more lines. At the end, there must be "" to tell that "line" command has to stop.
9
General discussion about BabaCAD / Re: m2p funtion as transparent funktion?
« Last post by babadmin on November 25, 2017, 08:31:39 pm »
BabaCAD already has Osnap for midpoint, for Line and Arc objects. I will just extend that for polylines. Everyone who want can put your m2p.lsp to bcad.mnu (in Support folder) to load that lisp at startup, so it will function same as a built-in command.
10
General discussion about BabaCAD / m2p funtion as transparent funktion?
« Last post by calubax on November 25, 2017, 01:24:28 pm »
maybe the m2p should work as a tranparent funktion after calling comands like line, polyline, circle, rectangle, insertion Block and so on. Thats how it works in Autocad - what would you think about that program scheme?
Pages: [1] 2 3 ... 10